org.apache.http.client.protocol

## Interface ClientContext

- 所有已知实现类：
    ClientContextConfigurer

  已过时。
  （4.3）使用`HttpClientContext` 。

      @Deprecated
      public interface ClientContext

  `HttpContext`客户端HTTP协议处理的属性名称。
  从以下版本开始：
    4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AUTH_CACHE` 已过时。 表示认证方案缓存的`AuthCache`对象的属性名称。
    `static String` | `AUTH_SCHEME_PREF` 已过时。 （4.1）不要使用
    `static String` | `AUTHSCHEME_REGISTRY` 已过时。 一个表示实际`AuthSchemeRegistry`注册表的`Lookup`对象的属性名称。
    `static String` | `COOKIE_ORIGIN` 已过时。 `CookieOrigin`对象的属性名称，表示原始服务器的实际细节。
    `static String` | `COOKIE_SPEC` 已过时。 表示实际cookie规范的`CookieSpec`对象的属性名称。
    `static String` | `COOKIE_STORE` 已过时。 代表实际Cookie存储的`CookieStore`对象的属性名称。
    `static String` | `COOKIESPEC_REGISTRY` 已过时。 一个表示实际`CookieSpecRegistry`注册表的`Lookup`对象的属性名称。
    `static String` | `CREDS_PROVIDER` 已过时。 表示实际凭据提供者的`CredentialsProvider`对象的属性名称。
    `static String` | `PROXY_AUTH_STATE` 已过时。 代表实际代理身份验证状态的`AuthState`对象的属性名称。
    `static String` | `REQUEST_CONFIG` 已过时。 表示实际请求配置的`RequestConfig`对象的属性名称。
    `static String` | `ROUTE` 已过时。 表示实际连接路由的`RouteInfo`对象的属性名称。
    `static String` | `SCHEME_REGISTRY` 已过时。
    `static String` | `SOCKET_FACTORY_REGISTRY` 已过时。
    `static String` | `TARGET_AUTH_STATE` 已过时。 表示实际目标认证状态的`AuthState`对象的属性名称。
    `static String` | `USER_TOKEN` 已过时。 表示实际用户身份的`Object`对象的属性名称，如用户`Principal` 。

- - ### 字段详细信息

    - #### ROUTE

          static final String ROUTE

      已过时。
      表示实际连接路由的`RouteInfo`对象的属性名称。
      从以下版本开始：
        4.3
      另请参见：
        Constant Field Values

    - #### SCHEME_REGISTRY

          @Deprecated
          static final String SCHEME_REGISTRY

      已过时。
      表示实际协议方案注册表的`Scheme`对象的属性名称。
      另请参见：
        Constant Field Values

    - #### COOKIESPEC_REGISTRY

          static final String COOKIESPEC_REGISTRY

      已过时。
      一个表示实际`CookieSpecRegistry`注册表的`Lookup`对象的属性名称。
      另请参见：
        Constant Field Values

    - #### COOKIE_SPEC

          static final String COOKIE_SPEC

      已过时。
      表示实际cookie规范的`CookieSpec`对象的属性名称。
      另请参见：
        Constant Field Values

    - #### COOKIE_ORIGIN

          static final String COOKIE_ORIGIN

      已过时。
      一个`CookieOrigin`对象的属性名称，表示原始服务器的实际细节。
      另请参见：
        Constant Field Values

    - #### COOKIE_STORE

          static final String COOKIE_STORE

      已过时。
      代表实际Cookie存储的`CookieStore`对象的属性名称。
      另请参见：
        Constant Field Values

    - #### CREDS_PROVIDER

          static final String CREDS_PROVIDER

      已过时。
      表示实际凭据提供者的`CredentialsProvider`对象的属性名称。
      另请参见：
        Constant Field Values

    - #### AUTH_CACHE

          static final String AUTH_CACHE

      已过时。
      表示认证方案缓存的`AuthCache`对象的属性名称。
      另请参见：
        Constant Field Values

    - #### TARGET_AUTH_STATE

          static final String TARGET_AUTH_STATE

      已过时。
      表示实际目标认证状态的`AuthState`对象的属性名称。
      另请参见：
        Constant Field Values

    - #### PROXY_AUTH_STATE

          static final String PROXY_AUTH_STATE

      已过时。
      代表实际代理身份验证状态的`AuthState`对象的属性名称。
      另请参见：
        Constant Field Values

    - #### AUTH_SCHEME_PREF

          @Deprecated
          static final String AUTH_SCHEME_PREF

      已过时。 （4.1）不要使用
      另请参见：
        Constant Field Values

    - #### USER_TOKEN

          static final String USER_TOKEN

      已过时。
      表示实际用户身份的`Object`对象的属性名称，如用户`Principal` 。
      另请参见：
        Constant Field Values

    - #### AUTHSCHEME_REGISTRY

          static final String AUTHSCHEME_REGISTRY

      已过时。
      一个`Lookup`对象的属性名称，代表实际的`AuthSchemeRegistry`注册表。
      另请参见：
        Constant Field Values

    - #### SOCKET_FACTORY_REGISTRY

          static final String SOCKET_FACTORY_REGISTRY

      已过时。
      另请参见：
        Constant Field Values

    - #### REQUEST_CONFIG

          static final String REQUEST_CONFIG

      已过时。
      表示实际请求配置的`RequestConfig`对象的属性名称。
      从以下版本开始：
        4.3
      另请参见：
        Constant Field Values

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585